
bullet = {}
--
function LOAD_BULLET()
	bullet.speed = 600
	bullet.width = 6
	bullet.height = 6
end
--
function bullet.spawn(x, y, dir)
	table.insert(bullet, {x = x, y = y, dir = dir, speed = bullet.speed, width = bullet.width, height = bullet.height})
end
--
function bullet.draw()
	g.setColor(255, 255, 255, 255)
	for k,v in ipairs(bullet) do
		if v.dir == "right" then
			g.draw(img_bulletRight, v.x, v.y)
		elseif v.dir == "left" then
			g.draw(img_bulletLeft, v.x, v.y)
		elseif v.dir == "up" then
			g.draw(img_bullet, v.x, v.y)
		elseif v.dir == "down" then
			g.draw(img_bulletDown, v.x, v.y)
		end
	end
end
--
function bullet.update(dt)
	for k,v in ipairs(bullet) do
		if v.dir == "right" then
			v.x = v.x + v.speed * dt
		end
		if v.dir == "left" then
			v.x = v.x - v.speed * dt
		end
		if v.dir == "down" then
			v.y = v.y + v.speed * dt
		end
		if v.dir == "up" then
			v.y = v.y - v.speed * dt
		end
	end
end
--
function bullet.remove()
	for k,v in ipairs(bullet) do
		if v.x < -100 or v.y < -100 or v.x > ScreenWidth + 100 or v.y > ScreenHeight + 100 then
			table.remove(bullet, k)
		end
	end
end
--
--PARENT FUNCTIONS
function UPDATE_BULLET(dt)
	bullet.update(dt)
	bullet.remove()
end

function DRAW_BULLET()
	bullet.draw()
end