
--
function LOAD_ENEMY()
	enemy = {}
	enemy.speed = 200
	enemy.friction = 0.4
	enemy.width = 20
	enemy.height = 20
	enemystartTime = love.timer.getTime()
	enemyTimer = love.timer.getTime()
	enemy.wave = 1
end
--
function enemySpawn(x, y)
	table.insert(enemy, {x=x, y=y, xvel=0, yvel=0})
end
--
function enemyDraw()
	for k,v in ipairs(enemy) do
		g.setColor(255, 225, 255, 225)
		g.draw(img_enemy ,v.x, v.y)
	end
	g.setColor(255, 255, 255, 255)
	g.print("Kills : "..killCount, 10, 40)
end
--
function enemyPhysics(dt)
	for k,v in ipairs(enemy) do
		v.x = v.x + v.xvel * dt
		v.y = v.y + v.yvel * dt
		v.xvel = v.xvel * (1 - math.min(dt*enemy.friction, 1))
		v.yvel = v.yvel * (1 - math.min(dt*enemy.friction, 1))
	end
end
--
function enemyAI(dt)
	for k,v in ipairs(enemy) do
		if player.x + player.width/2 > v.x + enemy.width/2 then
			v.xvel = v.xvel + enemy.speed * dt
		end
		if player.y + player.height/2 > v.y + enemy.height/2 then
			v.yvel = v.yvel + enemy.speed * dt
		end
		if player.x + player.width/2 < v.x + enemy.width/2 then
			v.xvel = v.xvel - enemy.speed * dt
		end
		if player.y + player.height/2 < v.y + enemy.height/2 then
			v.yvel = v.yvel - enemy.speed * dt
		end
	end
end
--
function enemyCollide()
	for k,v in ipairs(enemy) do
		for ki,vi in ipairs(bullet) do
			if v.x + enemy.width > vi.x and
			   v.x < vi.x + bullet.width and
			   v.y + enemy.height > vi.y and
			   v.y < vi.y + bullet.height then
			   	table.remove(enemy, k)
			   	table.remove(bullet, ki)
				killCount = killCount + 1
			end
		end	
	end
end
--
function enemyWaves()
	if gamestate == -1 then
		if love.timer.getTime() - enemyTimer >= 10/(love.timer.getTime() - enemystartTime) then
			local willspawn = math.random(1,4)
			if willspawn == 1 then
				enemySpawn(math.random(1, ScreenWidth), math.random(1, 350)*2-700)
			elseif willspawn == 2 then
				enemySpawn(math.random(1, ScreenWidth), math.random(ScreenHeight+50, ScreenHeight+350))
			elseif willspawn == 3 then
				enemySpawn(math.random(1, 350)*2-700, math.random(1, ScreenHeight))
			elseif willspawn == 4 then
				enemySpawn(math.random(ScreenHeight, ScreenWidth+350), math.random(1, ScreenHeight + 50))
			end
			enemyTimer = love.timer.getTime()
		end
	end
end
--
function enemyAttack()
	for k,v in ipairs(enemy) do
		if v.x <= player.x + player.width and
		   v.x + enemy.width >= player.x and
		   v.y <= player.y + player.height and
		   v.y + enemy.height >= player.y then
			table.remove(enemy, k)
			player.health = player.health - 5
		end
		if player.health <= 0 then
			player.alive = false
			endTime = love.timer.getTime()
		end
	end
end
--PARENT FUNCTIONS
function UPDATE_ENEMY(dt)
	enemyPhysics(dt)
	enemyAI(dt)
	enemyCollide()
	enemyWaves()
	enemyAttack()
end

function DRAW_ENEMY()
	enemyDraw()
end