require "player"
require "bullet"
require "enemy"
require "menu"
require "powerups"
require "intro"
--
function love.load()
	
	--GLOBAL VARIABLES
	g = love.graphics
	ScreenWidth = g.getWidth()
	ScreenHeight = g.getHeight()
	gameTime = love.timer.getTime()
	mouse_x = love.mouse.getX()
	mouse_y = love.mouse.getY()
	killCount = 0
	introUpdating = false

	--LOADING FONTS

	technoFont = love.graphics.newFont("Resources/Fonts/technoFont.ttf", 15)
	
	g.setFont(technoFont)

	--LOADING IMAGES
	bg_game = g.newImage("Resources/Pictures/background.png")
	bg_menu = g.newImage("Resources/Pictures/menu_screen.png")
	bg_death = g.newImage("Resources/Pictures/bg_death.png")

	img_enemy = g.newImage("Resources/Pictures/enemy.png")
	
	img_btnStart = g.newImage("Resources/Pictures/button_start-1.png")
	img_btnStart_click = g.newImage("Resources/Pictures/button_start-2.png")
	img_btnExit = g.newImage("Resources/Pictures/button_exit.png")
	img_btnExit_click = g.newImage("Resources/Pictures/button_exit-2.png")
	img_btnRestart = g.newImage("Resources/Pictures/button_restart.png")
	img_btnRestart_click = g.newImage("Resources/Pictures/button_restart-2.png")
	img_btnBack = g.newImage("Resources/Pictures/button_back.png")
	img_btnBack_click = g.newImage("Resources/Pictures/button_back-2.png")
	
	img_bullet = g.newImage("Resources/Pictures/bullet.png")
	img_bulletLeft = g.newImage("Resources/Pictures/bulletLeft.png")
	img_bulletRight = g.newImage("Resources/Pictures/bulletRight.png")
	img_bulletDown = g.newImage("Resources/Pictures/bulletDown.png")

	img_healthPickup = g.newImage("Resources/Pictures/healthPickup.png")
	img_attackPickup = g.newImage("Resources/Pictures/attackPickup.png")
	img_nukePickup = g.newImage("Resources/Pictures/attackPickup.png")

	img_introWolf = g.newImage("Resources/Pictures/intromatt.png")
	img_introProsvade = g.newImage("Resources/Pictures/introbray.png")

	--LOADING LIBRARIES
	LOAD_PLAYER()
	LOAD_BULLET()
	LOAD_ENEMY()
	LOAD_POWERUPS()
	LOAD_BUTTONS()
	INTRO_LOAD()

	--Gamestates --- -1:In-Game 0:Menu 1:Intro 2:Death Screen
	gamestate = 1
	end
--
function GAME_RESTART()
	LOAD_PLAYER()
	LOAD_BULLET()
	LOAD_ENEMY()
	LOAD_POWERUPS()
	LOAD_BUTTONS()
end
--
function love.mousepressed(x, y, button)
	MENU_MOUSEPRESSED(x, y, button)
end
--
function love.mousereleased(x, y, button)
	MENU_MOUSERELEASED(x, y, button)
end
--
function love.keypressed(key)
	player.shoot(key)
end
--
function love.update(dt)
	if gamestate == -1 then
		if player.alive then
			UPDATE_PLAYER(dt)
			UPDATE_BULLET(dt)
			UPDATE_ENEMY(dt)
			UPDATE_POWERUPS(dt)
		end
	elseif gamestate == 0 or gamestate == 2 then
		UPDATE_MENU(dt)
	end
	INTRO_UPDATE(dt)
end
--
function love.draw()
	if gamestate == -1 then
		g.setColor(255, 255, 255 ,255)
		g.draw(bg_game, 0, 0)
		DRAW_PLAYER()
		DRAW_POWERUPS()
		DRAW_BULLET()
		DRAW_ENEMY()
		if player.alive == false then
			gamestate = 2
		end
	elseif gamestate == 0 then
		g.setColor(255,255,255,255)
		g.draw(bg_menu, 0, 0)
	elseif gamestate == 2 then
		draw_deathScreen()
	end
	DRAW_MENU()
	INTRO_DRAW()
end