--
player = {}
--
function LOAD_PLAYER()
	player.x = ScreenWidth/2-16
	player.y = ScreenHeight/2-16
	player.xvel = 0
	player.yvel = 0
	player.width = 32
	player.height = 32
	player.speed = 2250
	player.friction = 8.5
	player.health = 100
	--player.health = 5
	player.alive = true
	playerimage = g.newImage("Resources/Pictures/player.png")
	player.sx = 1
	player.sy = -1
end
--
function player.draw()
	g.setColor(255,255,255,255)
	g.draw(playerimage, player.x, player.y, 0, 1, 1)
	g.print("H.P : "..player.health, 10, 20)
end
--
function player.physics(dt)
	player.x = player.x + player.xvel * dt
	player.y = player.y + player.yvel * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
	player.yvel = player.yvel * (1 - math.min(dt*player.friction, 1))
end
--
function player.move(dt)
	key = love.keyboard

	if key.isDown('d') and player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
	end
	if key.isDown('a') and player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
	end
	if key.isDown('s') and player.yvel < player.speed then
		player.yvel = player.yvel + player.speed * dt
	end
	if key.isDown('w') and player.yvel > -player.speed then
		player.yvel = player.yvel - player.speed * dt
	end
end
--
function player.boundarys()
	if player.x < 0 then
		player.x = 0
		player.xvel = 0
	end
	if player.y < 0 then
		player.y = 0
		player.yvel = 0
	end
	if player.x + player.width > ScreenWidth then
		player.x = ScreenWidth - player.width
		player.xvel = 0
	end
	if player.y + player.height > ScreenHeight then
		player.y = ScreenHeight -player.height
		player.yvel = 0
	end
end
--
function player.shoot(key)
	if key == "up" then
		bullet.spawn(player.x + player.width/2, player.y + bullet.height, "up")
	end
	if key == "down" then
		bullet.spawn(player.x + player.width/2, player.y + player.height + bullet.height, "down")
	end
	if key == "left" then
		bullet.spawn(player.x - bullet.width, player.y + player.height/2, "left")
	end
	if key == "right" then
		bullet.spawn(player.x + player.width + bullet.width, player.y + player.height/2, "right")
	end
end
--
--PARENT FUNCTIONS
function DRAW_PLAYER()
	player.draw()
end

function UPDATE_PLAYER(dt)
	player.physics(dt)
	player.move(dt)
	player.boundarys()
end